org.jgrapht.graph

## Class DefaultEdge

- java.lang.Object
- - org.jgrapht.graph.DefaultEdge

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    DefaultWeightedEdge

      public class DefaultEdge
      extends Object

  A default implementation for edges in a `Graph`.
  Since:
    Jul 14, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEdge()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `protected Object` | `getSource()` Retrieves the source of this edge.
    `protected Object` | `getTarget()` Retrieves the target of this edge.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEdge

          public DefaultEdge()

  - ### Method Detail

    - #### getSource

          protected Object getSource()

      Retrieves the source of this edge. This is protected, for use by subclasses only (e.g. for implementing toString).
      Returns:
        source of this edge

    - #### getTarget

          protected Object getTarget()

      Retrieves the target of this edge. This is protected, for use by subclasses only (e.g. for implementing toString).
      Returns:
        target of this edge

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`
      See Also:
        `Object.clone()`

Copyright © 2016. All rights reserved.